%global forgeurl https://github.com/diasurgical/devilutionX

Version:	1.5.3

%forgemeta

Name:		devilutionx
Release:	1%{?dist}
Summary:	Diablo build for modern operating systems
Group:		Amusements/Games
# Vendored simpleini is MIT
License:	Unlicense AND MIT
URL:		%{forgeurl}
Source:		https://github.com/diasurgical/devilutionX/releases/download/%{version}/devilutionx-src.tar.xz#/devilutionX-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	asio-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(fmt)
BuildRequires:	gettext-devel
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(gtest)
BuildRequires:	libasan
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsodium)
BuildRequires:	libstdc++-static
BuildRequires:	libubsan
BuildRequires:	pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL_audiolib)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_mixer)

%description
A reimplementation of Blizzard's Diablo compatible with modern operating systems.

%prep
%setup -n devilutionx-src-%{version}

%build
%cmake -DDEVILUTIONX_SYSTEM_SDL_AUDIOLIB=ON -DDISABLE_ZERO_TIER=ON -DVERSION_NUM=%{version} -DVERSION_SUFFIX=%{release} -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
%cmake_install

%files
%license ../devilutionx-src-%{version}/LICENSE.md
%doc %{_datadir}/diasurgical/%{name}/README.txt
%{_bindir}/devilutionx
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-hellfire.desktop
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
%{_datadir}/icons/hicolor/512x512/apps/%{name}-hellfire.png
%{_datadir}/metainfo/%{name}.metainfo.xml
%dir %{_datadir}/diasurgical/devilutionx
%{_datadir}/diasurgical/devilutionx/devilutionx.mpq

%changelog
* Wed Sep 4 2024 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.3-1
- Update to 1.5.3

* Mon Feb 5 2024 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.2-1
- Update to 1.5.2
- Use source package release with prebuilt mpq
- Use vendored libs included with the source release

* Tue Nov 21 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.1-2
- Enable generating debug info

* Fri Sep 15 2023 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.1-1
- Update to 1.5.1
- Use SPDX identifiers
- Use system gtest

* Mon Aug 22 2022 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.1-1
- Update to 1.4.1

* Fri Dec 17 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.3.0-1
- Update to 1.3.0
- Add patch to force system asio, SDL_image, SDL_audiolib
- Add patch to vendor simpleini
- Add patch for fmt enum changes
- Use autopatch macro

* Mon Nov 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.1-2
- Use forge macros

* Thu Apr 15 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.1-1
- Update to 1.2.1

* Sun Apr 11 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.2.0-1
- Update to 1.2.0

* Fri Mar 19 2021 Brandon Nielsen <nielsenb@jetfuse.net> 1.1.0-2
- Use autosetup
- Use cmake_install macro

* Fri Oct 23 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.1.0-1
- Update to 1.1.0
- Use cmake macros
- Use included desktop file
- Require SDL2-static across the board
- Require libstdc++ across the board

* Fri Mar 13 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.0.1-2
- Use pkgconfig for BuildRequires
- Require SDL2-static for F32 as well

* Fri Mar 13 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.0.1-1
- Update to 1.0.1
- Require SDL2-static to fix builds on Fedora rawhide

* Sun Jan 12 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.0.0-1
- Initial specfile
